n = int(input())
l=[]
s=1
for i in range(n):
    g = int(input())
    l.append(g)
for j in range(n):
    if l[0+1] < l[j]:
        l[j] = l[0+1]
        l[0+1] = l[j]
        s+=1
    else:
        s+=0
            
print(s)
        